Download it now!
Bug 117891 - Base table icons in Main window Tables list are displaying the Calc Template icon
Summary: Base table icons in Main window Tables list are displaying the Calc Template ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta1+
Hardware: All All
: medium trivial
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:6.3.0 target:6.2.4 target:6.4....
Keywords:
Depends on:
Blocks: Icon-Themes-Code
  Show dependency treegraph
 
Reported: 2018-05-29 23:57 UTC by Drew Jensen
Modified: 2019-06-30 13:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screen shot (54.41 KB, image/png)
2018-05-29 23:58 UTC, Drew Jensen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Drew Jensen 2018-05-29 23:57:37 UTC
Description:
This is the only icon theme where the tables use a template icon.
The Elementary theme uses icons for Text Tables (for hsql files) and Views which do fit the basic iconography used in the other themes. 

Steps to Reproduce:
1. Open any Base file with tables defined
2. click on the Tables section
3.

Actual Results:  
Table items are using Calc Template icons

Expected Results:
The base table icon for that icon set


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Ubuntu Chromium/66.0.3359.181 Chrome/66.0.3359.181 Safari/537.36
Comment 1 Drew Jensen 2018-05-29 23:58:14 UTC
Created attachment 142393 [details]
screen shot
Comment 2 Julien Nabet 2018-05-30 08:40:29 UTC
Andreas: one for you?
Comment 3 andreas_k 2018-05-30 08:45:27 UTC
lol have to check.

@Drew Jensen: If you use base on a regular base icon feedback would be very welcome cause I don't use base and it's a bit hard to draw the right icon when you don't use the feature.
Comment 4 andreas_k 2018-12-21 12:16:06 UTC
That's an developer bug, please fix it, the Table list use the wrong icon.
Comment 5 Julien Nabet 2018-12-21 17:35:48 UTC
On pc Debian x86-64 with LO Debian package 6.1.3.2, I could reproduce this.
However, I don't reproduce this with master sources updated yesterday.

Any better with 6.1.4 or pre release 6.2.0?
Considering https://cgit.freedesktop.org/libreoffice/core/log/?qt=grep&q=elementary, it may already be fixed.
Comment 6 Drew Jensen 2018-12-21 18:11:00 UTC
(In reply to Julien Nabet from comment #5)
> On pc Debian x86-64 with LO Debian package 6.1.3.2, I could reproduce this.
> However, I don't reproduce this with master sources updated yesterday.
> 
> Any better with 6.1.4 or pre release 6.2.0?
> Considering
> https://cgit.freedesktop.org/libreoffice/core/log/?qt=grep&q=elementary, it
> may already be fixed.

Using 6.2.0.1 RC1 and the Colibre icon set, it is still the Calc Template icons

Which are growing on me at this point ;-) to be honest.
Comment 7 andreas_k 2019-04-24 22:21:58 UTC
patch is in gerrit and it work well.
Comment 8 Commit Notification 2019-04-25 17:03:32 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5e4c1e6ba425ce0b75864e4584a846957b032e61%5E%21

tdf#117891 base table icons in main window tables

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-04-27 09:37:51 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/d917d931f615796af7ab90d80a9cb9232cf5bcbc%5E%21

tdf#117891 base table icons in main window tables

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-06-30 13:02:42 UTC
rizmut committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b2fe75d13e8cf7bf1deabfb232fd907f0894996e%5E%21

Breeze, KJ, elementary: Fix for tdf#117891

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-06-30 13:10:17 UTC
rizmut committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/d738560df327cc9be87ae2478187e524e6ee9a87%5E%21

Breeze, KJ, elementary: Fix for tdf#117891

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.